Fix integrated subscription editor record field
[working/Evergreen.git] / Open-ILS / src / edi_translator / install.sh
1 #!/bin/bash
2 #
3 # JEDI converter scripts installation
4 #
5 # Debian Lenny dependencies
6 #
7 # The rubygems package from Debian apt sources is crippled and cannot update.
8 # The result is that we need to replace it with the current version.
9
10
11 # apt-get install libgemplugin-ruby  # recommended by some pages as a workaround, but already satisfied by ruby-full
12 sudo apt-get install ruby-full ruby-dev rubygems    # maybe ruby-full is overkill?
13 sudo gem install rubygems-update                    # unnecessary if we do ruby setub.rb below
14
15 # runaround for debian's crippled rubygems package:
16 mkdir rubygems
17 pushd rubygems
18 svn checkout svn://rubyforge.org/var/svn/rubygems/trunk
19 cd trunk
20 sudo ruby setup.rb
21 sudo update_rubygems
22 popd
23
24 sudo gem install parseconfig rspec edi4r edi4r-tdid json rcov openils-mapper # mkmf
25